UbixOS V2 2.0

Data Structures | Macros
fat_list.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | fat_list
struct | fat_node

## Macros
#define | FAT_ASSERT(x)
#define | FAT_INLINE
#define | fat_list_entry(p, t, m) p ? ((t *)((char *)(p)-(char*)(&((t *)0)->m))) : 0
#define | fat_list_first(l) (l)->head
#define | fat_list_for_each(l, p) for ((p) = (l)->head; (p); (p) = (p)->next)
#define | fat_list_last(l) (l)->tail
#define | fat_list_next(l, p) (p)->next
#define | fat_list_prev(l, p) (p)->previous

## Macro Definition Documentation

## ◆ FAT_ASSERT

#define FAT_ASSERT | ( |  | x | ) |

Definition at line 5 of file fat_list.h.

## ◆ FAT_INLINE

#define FAT_INLINE

Definition at line 9 of file fat_list.h.

## ◆ fat_list_entry

#define fat_list_entry | ( |  | p,
|  |  | t,
|  |  | m
| ) |  | p ? ((t *)((char *)(p)-(char*)(&((t *)0)->m))) : 0

Definition at line 32 of file fat_list.h.

## ◆ fat_list_first

#define fat_list_first | ( |  | l | ) | (l)->head

Definition at line 35 of file fat_list.h.

## ◆ fat_list_for_each

#define fat_list_for_each | ( |  | l,
|  |  | p
| ) |  | for ((p) = (l)->head; (p); (p) = (p)->next)

Definition at line 37 of file fat_list.h.

## ◆ fat_list_last

#define fat_list_last | ( |  | l | ) | (l)->tail

Definition at line 36 of file fat_list.h.

## ◆ fat_list_next

#define fat_list_next | ( |  | l,
|  |  | p
| ) |  | (p)->next

Definition at line 33 of file fat_list.h.

## ◆ fat_list_prev

#define fat_list_prev | ( |  | l,
|  |  | p
| ) |  | (p)->previous

Definition at line 34 of file fat_list.h.